import "fork-awesome/css/fork-awesome.css";
import "../css/main.css";
// @ts-ignore
import {$, doAfterLoad, footer, header, nav} from "@fwdekker/template";
import {waitForForkAwesome} from "./Common";
import {BasicIconFont, ForkAwesomeFont} from "./Display";
import {Game} from "./Game";
import {Preferences} from "./Preferences";


doAfterLoad(() => {
    // Initialize template
    $("#nav").appendChild(nav("/Tools/Minesweeper/"));
    $("#header").appendChild(header({title: "Minesweeper"}));
    $("#footer").appendChild(footer({
        author: "Felix W. Dekker",
        authorURL: "https://fwdekker.com/",
        license: "MIT License",
        licenseURL: "https://git.fwdekker.com/FWDekker/minesweeper/src/branch/master/LICENSE",
        vcs: "git",
        vcsURL: "https://git.fwdekker.com/FWDekker/minesweeper/",
        version: "v%%VERSION_NUMBER%%"
    }));
    $("main").style.display = null;


    // Start game
    const preferences = new Preferences();
    waitForForkAwesome(
        () => {
            preferences.font = new ForkAwesomeFont();
            new Game(preferences);
        },
        () => {
            alert("External font could not be loaded. Using fallback font. Is a browser extension blocking fonts?");
            preferences.font = new BasicIconFont();
            new Game(preferences);
        },
        3000
    );
});
